Bug 710634 - Pressing 'delete' on keyboard, doesn't delete selected files
Summary: Pressing 'delete' on keyboard, doesn't delete selected files
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus
Version: 15
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Tomáš Bžatek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-03 21:18 UTC by Volans
Modified: 2015-03-03 23:00 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-05 05:07:17 UTC


Attachments (Terms of Use)

Description Volans 2011-06-03 21:18:54 UTC
Description of problem:

Pressing the keyboard delete button, doesn't cause deletion of the selected files 

Version-Release number of selected component (if applicable):

3.0.2

How reproducible:

Select one or more files and press de "Del" button on the keyboard

  
Actual results:

Nothing happens, and you must right-click, click on "Delete" on the menu... Annoying and time consuming.


Expected results:


Additional info:

Fedora 15

Comment 1 Heiko Adams 2011-06-04 21:09:54 UTC
Same problem here.

Comment 2 Heiko Adams 2011-06-04 21:15:49 UTC
I forgot: I'm using a x86 system

Comment 3 Heiko Adams 2011-06-04 21:21:01 UTC
It seems that this is the related upstream bugzilla entry: https://bugzilla.gnome.org/show_bug.cgi?id=648658

Comment 4 Volans 2011-06-04 21:42:03 UTC
So this isn't a bug after, rather a "Linux Vista" feature... :P:P If you want to stop the user from doing something like deleting the wrong file, you stop all users from doing it. :D

Well, I don't know, but I think it was a really bad decision to stop "Del" from working. I honestly thought it was a bug!

Please, don't go "Vista"! Pleassseeee!!

Comment 5 Elad Alfassa 2011-06-05 05:07:17 UTC
NOTABUG. Upstream design decision.
To delete a file, use ctrl+delete.

Discussion whether this change is good or not should be done upstream, not downstream.
Closing. 



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 6 Grahams Nguimbi 2013-08-27 04:17:19 UTC
I had the same problem. I can't delete a file by simply clicking on the DELETE button. So do you mean that it's totally normal that i need to press the Ctrl+Delete so that I can delete a file?


> NOTABUG. Upstream design decision.
> To delete a file, use ctrl+delete.
> 
> Discussion whether this change is good or not should be done upstream, not
> downstream.
> Closing. 
> 
> 
> 
> -- 
> Fedora Bugzappers volunteer triage team
> https://fedoraproject.org/wiki/BugZappers


Note You need to log in before you can comment on or make changes to this bug.